Selection API

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Selection API and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano
(Octobre 2019) Ne modifiez pas cette page. L'information est incomplète et obsolète. Pour la dernière API, consultez la documentation de l'API générée automatiquement, ou générez la documentation vous-même, voir Source documentation.


Le sous-module de sélection fait partie du module FreeCADGui. Exemple:

import FreeCADGui
sel = FreeCADGui.Selection.getSelection()
Method.png addSelection(FreeCAD.Objet)

Description: Ajoute un objet à la sélection

Returns:

Method.png clearSelection([chaîne])

Description: Efface la sélection du nom de document donné. Si aucun document n'est donné la sélection complète est effacée

Returns: .

Method.png getSelection([chaîne])

Description: Renvoie une liste d'objets de documents sélectionnés pour un nom de document donné. Si aucun document n'est donné la sélection complète est retourné

Returns: . Une liste d'objets de documents dans l'ordre où ils ont été sélectionnés

.

Method.png getSelectionEx([chaîne])

Description: Renvoie une liste de Sélection d'Objet pour un nom de document donné. Si aucun document n'est donné la sélection complète est retournée. Utilisé pour sélectionner les sous-objets (ex certaines arêtes d'une face)

Returns: . Une liste de Sélection d'Objets dans l'ordre où ils ont été sélectionnés

Method.png isSelected(FreeCAD.Objet)

Description: Vérifie si un objet donné est sélectionné

Returns:

Method.png removeSelection(FreeCAD.Objet)

Description: Supprime un objet de la sélection

Returns: